pub const c = @cImport({
    @cInclude("raylib.h");
});

const std = @import("std");

//const Self = @This();

pub fn initWindow(width: i32, height: i32, title: [*c]const u8, fps: i32) void {
    c.InitWindow(width, height, title);
    c.SetTargetFPS(fps);
}

pub fn windowShouldClose() bool {
    return c.WindowShouldClose();
}

pub fn closeWindow() void {
    c.CloseWindow();
}

pub fn beginDrawing() void {
    c.BeginDrawing();
}

pub fn endDrawing() void {
    c.EndDrawing();
}

pub fn drawText(text: [*c]const u8, x: i32, y: i32, fontSize: i32, r: u8, g: u8, b: u8, a: u8) void {
    c.DrawText(text, x, y, fontSize, c.Color{ .r = r, .g = g, .b = b, .a = a});
}

pub fn clearBackground(r: u8, g: u8, b: u8, a: u8) void {
    c.ClearBackground(c.Color{ .r = r, .g = g, .b = b, .a = a});
}
